Summary:   Picture viewer
Name:      xzgv
Version:   0.9.2
Release:   1
License:   GPLv2+
Group:     Applications/Multimedia
URL:       http://sourceforge.net/projects/xzgv/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:    %{name}-0.9-fix-doc-install.patch
Patch2:    %{name}-%{version}-thumbnail-load-gcc4.patch
Patch10:   %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel >= 2.34.3-1
BuildRequires: gtk2-devel >= 2.20.1-2
BuildRequires: libexif-devel >= 0.6.21-1
BuildRequires: libpng-devel >= 1.6.37-1
BuildRequires: coreutils
BuildRequires: patch

Requires: /sbin/install-info, info
Requires: glib2 >= 2.34.3-1
Requires: gtk2 >= 2.20.1-2
Requires: libexif >= 0.6.21-1
Requires: libpng >= 1.6.37-1

%description 
A picture viewer with a thumbnail-based file selector.  Many file
formats are supported, and the thumbnails used are compatible with xv,
zgv and the Gimp.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1
%patch2 -p1
%patch10


%build
gmake %{?_smp_flags}
gmake info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH

install -d -m 0755 ${RPM_BUILD_ROOT}%{_datadir}/applications
install -d -m 0755 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

gmake install PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
              MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1 \
              INFODIR=${RPM_BUILD_ROOT}%{_infodir} \
              DESKTOPDIR2=${RPM_BUILD_ROOT}%{_datadir}/applications

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

install -d -m 0755 ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps
install -p -m 0644 src/icon-48.xpm \
    ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" = "0" ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm
/usr/bin/*


%changelog
* Mon May 27 2019 Michael Perzl <michael@perzl.org> - 0.9.2-1
- updated to version 0.9.2

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 0.9.1-1
- first version for AIX V5.1 and higher
